Bug 248912 - pykickstart expects --class when anaconda expects --dhcpclass.
Summary: pykickstart expects --class when anaconda expects --dhcpclass.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pykickstart   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Chris Lumens
QA Contact: Alexander Todorov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 391501 248910 629059
TreeView+ depends on / blocked
 
Reported: 2007-07-19 15:56 UTC by Flavio Leitner
Modified: 2018-10-20 02:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:02:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error screen. (12.01 KB, image/png)
2007-07-19 15:56 UTC, Flavio Leitner
no flags Details
correct parameter (777 bytes, patch)
2007-07-20 20:20 UTC, Chris Lumens
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0221 normal SHIPPED_LIVE pykickstart bug fix update 2009-01-20 16:04:41 UTC

Description Flavio Leitner 2007-07-19 15:56:27 UTC
Description of problem:
pykickstart expects --class when anaconda expects --dhcpclass.


Version-Release number of selected component (if applicable):
RHEL-5 version

How reproducible:
Always.


Steps to Reproduce:
1.Use --dhcpclass option in network line when doing kickstart installation
  
Actual results:
See the screenshot.
"No suck option: --dhcpclass"

Additional info:
The RHEL-5 manual points to use --class but anaconda expects --dhcpclass.
See bz#248910.

Comment 1 Flavio Leitner 2007-07-19 15:56:27 UTC
Created attachment 159593 [details]
screenshot of error screen.

Comment 2 Chris Lumens 2007-07-20 20:20:48 UTC
Created attachment 159689 [details]
correct parameter

Comment 3 RHEL Product and Program Management 2007-12-03 20:44:14 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.

Comment 4 RHEL Product and Program Management 2008-06-02 20:35:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Denise Dumas 2008-07-11 21:02:56 UTC
Alex, qa-ack for this one too? 

Comment 9 errata-xmlrpc 2009-01-20 21:02:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0221.html


Note You need to log in before you can comment on or make changes to this bug.